## libmceliece 0~20250507

=== Makefile ===
default:
	cd build && $(MAKE)

install:
	cd build && $(MAKE) install

clean:
	cd build && $(MAKE) clean
