=== crypto_xof/shake256/unrollround/Makefile ===
keccak.inc: keccak.py
	./keccak.py > keccak.inc
