## libmceliece 0~20230612

=== debian/changelog ===
libmceliece (0~20230612-3) unstable; urgency=medium

  * d/changelog: fix typo
    libmceliece1.symbols.x32.amd64 -> libmceliece1.symbols.amd64
  * d/control: remove 'Multi-Arch: same' for the package libmceliece-dev,
    libmceliece-dev contains the mceliece.h header file, which is different
    across platforms.
  * d/gbp.conf: add [pull] track-missing = True
  * d/copyright: bump copyright year

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 05 Jan 2024 17:50:35 +0100

libmceliece (0~20230612-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/t/testmceliece-{static,shared} speedup tests, run only one tests for
    the variant 6960119
  * d/t/control run  autopkgtests mceliece-test for all variants
    {6960119, 6688128, 8192128, 460896, 348864}
  * d/compiler/gcc: Echo commands for blhc.
  * d/rules: detect the correct ABINAME from the DEB_BUILD_ARCH
    instead of run-time detection. Fixes FTBR on i386/armhf/...
  * d/libmceliece1.symbols.x32 add, symbolic link to
    libmceliece1.symbols.amd64
  * d/libmceliece1.symbols add
  * d/rules add DEB_BUILD_MAINT_OPTIONS = optimize=+lto
  * d/watch: use special strings @PACKAGE@, @ANY_VERSION@, @ARCHIVE_EXT@
  * d/p/0001-add-tryifunc.patch: add ifunc detection and fallback to
    constructor where ifunc not available
  * d/control: add Multi-Arch: same
  * d/p/0002-reproducible-ofiles.patch: sort the output of os.listdir()

 -- Simon Josefsson <simon@josefsson.org>  Fri, 29 Dec 2023 17:42:50 +0100

libmceliece (0~20230612-1) unstable; urgency=medium

  * Initial release. (Closes: #1050531)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 11 Sep 2023 17:32:11 +0200
