=== debian/control ===
Source: libmceliece
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Priority: optional
Standards-Version: 4.6.2
Section: libs
Homepage: https://lib.mceliece.org
Build-Depends:
 debhelper-compat (= 13),
 libcpucycles-dev,
 librandombytes-dev,
 python3,
Vcs-Git: https://salsa.debian.org/debian/libmceliece.git
Vcs-Browser: https://salsa.debian.org/debian/libmceliece
Rules-Requires-Root: no

Package: libmceliece-dev
Section: libdevel
Architecture: any
Depends:
 libmceliece1 (= ${binary:Version}),
 ${misc:Depends},
Description: Classic McEliece microlibrary - development files
 libmceliece is a Classic McEliece microlibrary.
 libmceliece has a very simple stateless API based on the SUPERCOP API,
 with wire-format inputs and outputs, providing functions that directly match
 the KEM operations provided by Classic McEliece, such as functions
 .
 mceliece6960119_keypair
 mceliece6960119_enc
 mceliece6960119_dec
 for the mceliece6960119 KEM.
 .
 Internally, libmceliece is based on the official Classic McEliece software,
 specifically the vec implementation (designed to work portably across CPUs) and
 he avx implementation (designed for higher performance on Intel/AMD CPUs with
 AVX2 instructions). libmceliece includes automatic run-time selection
 of implementations.
 .
 libmceliece is intended to be called by larger multi-function libraries
 (such as traditional cryptographic libraries), including libraries in other
 languages via FFI. The idea is that libmceliece takes responsibility for
 the details of Classic McEliece computation, including optimization,
 timing-attack protection, and (in ongoing work) verification,
 freeing up the calling libraries to concentrate on application-specific
 needs such as protocol integration. Applications can also call libmceliece
 directly.
 .
 Development files.

Package: libmceliece1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Classic McEliece microlibrary - shared library
 libmceliece is a Classic McEliece microlibrary.
 libmceliece has a very simple stateless API based on the SUPERCOP API,
 with wire-format inputs and outputs, providing functions that directly match
 the KEM operations provided by Classic McEliece, such as functions
 .
 mceliece6960119_keypair
 mceliece6960119_enc
 mceliece6960119_dec
 for the mceliece6960119 KEM.
 .
 Internally, libmceliece is based on the official Classic McEliece software,
 specifically the vec implementation (designed to work portably across CPUs) and
 he avx implementation (designed for higher performance on Intel/AMD CPUs with
 AVX2 instructions). libmceliece includes automatic run-time selection
 of implementations.
 .
 libmceliece is intended to be called by larger multi-function libraries
 (such as traditional cryptographic libraries), including libraries in other
 languages via FFI. The idea is that libmceliece takes responsibility for
 the details of Classic McEliece computation, including optimization,
 timing-attack protection, and (in ongoing work) verification,
 freeing up the calling libraries to concentrate on application-specific
 needs such as protocol integration. Applications can also call libmceliece
 directly.
 .
 Shared library.

Package: mceliece
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Classic McEliece microlibrary - command line tools
 libmceliece is a Classic McEliece microlibrary.
 libmceliece has a very simple stateless API based on the SUPERCOP API,
 with wire-format inputs and outputs, providing functions that directly match
 the KEM operations provided by Classic McEliece, such as functions
 .
 mceliece6960119_keypair
 mceliece6960119_enc
 mceliece6960119_dec
 for the mceliece6960119 KEM.
 .
 Internally, libmceliece is based on the official Classic McEliece software,
 specifically the vec implementation (designed to work portably across CPUs) and
 he avx implementation (designed for higher performance on Intel/AMD CPUs with
 AVX2 instructions). libmceliece includes automatic run-time selection
 of implementations.
 .
 libmceliece is intended to be called by larger multi-function libraries
 (such as traditional cryptographic libraries), including libraries in other
 languages via FFI. The idea is that libmceliece takes responsibility for
 the details of Classic McEliece computation, including optimization,
 timing-attack protection, and (in ongoing work) verification,
 freeing up the calling libraries to concentrate on application-specific
 needs such as protocol integration. Applications can also call libmceliece
 directly.
 .
 Command line tools.
