=== debian/tests/control ===
Tests: testmceliece-static
Depends:
 build-essential,
 dpkg-dev,
 libmceliece-dev,
 librandombytes-dev,

Tests: testmceliece-shared
Depends:
 build-essential,
 dpkg-dev,
 libmceliece-dev,
 libmceliece1,
 librandombytes-dev,

Tests: mceliece
Depends:
 mceliece,

Test-Command: mceliece-test kem 6960119
Depends:
 mceliece,

Test-Command: mceliece-test kem 6688128
Depends:
 mceliece,

Test-Command: mceliece-test kem 8192128
Depends:
 mceliece,

Test-Command: mceliece-test kem 460896
Depends:
 mceliece,

Test-Command: mceliece-test kem 348864
Depends:
 mceliece,
