## libmceliece 0~20240513

=== debian/changelog ===
libmceliece (0~20240513-1) unstable; urgency=medium

  * New upstream version 20240513
  * d/p/001-add-tryifunc.patch remove, fixed in upstream
  * d/p/0002-reproducible-ofiles.patch remove, fixed in upstream
  * d/libmceliece1.symbols update
  * d/libmceliece1.symbols.{amd64,x32} remove
  * d/t/testmceliece-{shared,static} fix mceliece-test compilation
  * d/t/testmceliece-{shared,static} speedup tests, test f variants
  * d/rules: fix comments
  * d/rules: don't disable any implementation (re-enable
    crypto_xof/shake256/tweet)
  * d/salsa-ci.yml add
  * d/copyright: bump copyright year
  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/rules: remove optimize=+lto, rollback to default

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 17 May 2024 18:58:15 +0200
