=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,noexecstack
 
 # crossbuild
@@ -13,7 +13,7 @@
 %:
 	dh $@
 
-# In the debian/compiler directory contains gcc and clang wrappers.
+# The debian/compiler directory contains gcc and clang wrappers.
 # It adds Debian specifific options distributed in
 # $CC, $CFLAGS, $CPPFLAGS and $LDFLAGS
 export PATH := $(shell pwd)/debian/compiler:$(PATH)
@@ -26,8 +26,6 @@
 endif
 
 override_dh_auto_configure:
-	# disable duplicit portable implementation (reproducible build)
-	chmod +t crypto_xof/shake256/tweet
 	# run configure
 	./configure --host=$(ABINAME) --prefix=/usr
