## libmceliece 0~20241009

=== debian/changelog ===
libmceliece (0~20241009-2) unstable; urgency=medium

  * d/control: use valgrind-if-available instead of valgrind in Recommends
  * d/copyright: bump debian/* copyright year
  * d/salsa-ci.yml: SALSA_CI_ENABLE_WRAP_AND_SORT=1
  * d/control: update my email to "janmojzis@debian.org"

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 25 Jan 2025 17:01:05 +0100

libmceliece (0~20241009-1) unstable; urgency=medium

  * New upstream version 20241009
  * d/t/testmceliece-static: use dpkg-buildflags to get CFLAGS,LDFLAGS
  * d/t/testmceliece-shared: use dpkg-buildflags to get CFLAGS,LDFLAGS
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest
  * d/p/0001-workaround-for-timing-problems-on-i386.patch and
    0002-workaround-for-portable-crypto_uint64_bottombit_mask.patch remove,
    fixed in upstream

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 10 Oct 2024 16:10:54 +0200

libmceliece (0~20240812-3) unstable; urgency=medium

  * d/rules: fix valgrind test ppc64el via hardening=-stackclash
  * d/p/0002-workaround-for-portable-crypto_uint64_bottombit_mask.patch add,
    it's workaround for problems with variable-time code caught by valgrind
    test on armhf
  * d/t/mceliece update, add more debug messages when test fails
  * d/rules remove DEB_CFLAGS_MAINT_APPEND = -funroll-all-loops

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 28 Aug 2024 21:29:36 +0200

libmceliece (0~20240812-2) unstable; urgency=medium

  * d/t/testvalgrind: skip test when valgrind is not available
  * d/rules: fix valgrind test on armhf via hardening=-stackclash
  * d/p/0001-workaround-for-timing-problems-on-i386.patch add, it's workaround
    for problems with variable-time code caught by valgrind test on i386
  * d/rules add DEB_CFLAGS_MAINT_APPEND = -funroll-all-loops

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 24 Aug 2024 20:27:09 +0200

libmceliece (0~20240812-1) unstable; urgency=medium

  * New upstream version 20240812
  * d/t/testvalgrind: update test and remove libmceliece1-dbgsym test
    dependency.
  * d/README.source add
  * d/t/testmceliece-{shared,static} speedup test

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 19 Aug 2024 14:57:26 +0200

libmceliece (0~20240726-3) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/t/testvalgrind add, it is a light version of the test that detects timing
    problems
  * d/t/control: run mceliece-fulltest only on amd64
  * d/t/mceliece: run tests also for 'f' variants
  * d/t/salsa-ci.yml: skip mceliece-speed
  * d/t/salsa-ci.yml: build dbgsym packages

  [ Simon Josefsson ]
  * salsa-ci.yml: Skip mceliece-fulltest.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 03 Aug 2024 08:46:00 +0200

libmceliece (0~20240726-2) unstable; urgency=medium

  * Use --no-valgrind on archs that valgrind-if-available didn't provide
    valgrind.
  * tests: Fix python Depends for mceliece-fulltest.
  * mceliece: Doc fix of Description:.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 27 Jul 2024 12:52:40 +0200

libmceliece (0~20240726-1) unstable; urgency=medium

  * New upstream version 0~20240726
  * Build-Depend on valgrind-if-available, for valgrind/memcheck.h.
  * tests: Invoke mceliece-fulltest.
  * Add DEP12 metadata.
  * Build-Depend on dh-python for mceliece-fulltest.
  * Add Recommends:python3,valgrind to mceliece and doc fix.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 26 Jul 2024 18:15:44 +0200
