=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libmceliece
-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Maintainer: Jan Mojžíš <janmojzis@debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
 Priority: optional
@@ -8,9 +8,11 @@
 Homepage: https://lib.mceliece.org
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
  libcpucycles-dev,
  librandombytes-dev,
  python3,
+ valgrind-if-available,
 Vcs-Git: https://salsa.debian.org/debian/libmceliece.git
 Vcs-Browser: https://salsa.debian.org/debian/libmceliece
 Rules-Requires-Root: no
@@ -89,30 +91,67 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ valgrind-if-available,
+ ${python3:Depends},
 Description: Classic McEliece microlibrary - command line tools
- libmceliece is a Classic McEliece microlibrary.
- libmceliece has a very simple stateless API based on the SUPERCOP API,
- with wire-format inputs and outputs, providing functions that directly match
- the KEM operations provided by Classic McEliece, such as functions
+ libmceliece is an implementation of the Classic McEliece
+ cryptosystem. The command-line interface for libmceliece provides the
+ following command-line tools:
  .
- mceliece6960119_keypair
- mceliece6960119_enc
- mceliece6960119_dec
- for the mceliece6960119 KEM.
+ mceliece348864-dec
+ mceliece348864-enc
+ mceliece348864f-keypair
+ mceliece348864-keypair
+ mceliece348864pc-dec
+ mceliece348864pc-enc
+ mceliece348864pcf-keypair
+ mceliece348864pc-keypair
+ mceliece460896-dec
+ mceliece460896-enc
+ mceliece460896f-keypair
+ mceliece460896-keypair
+ mceliece460896pc-dec
+ mceliece460896pc-enc
+ mceliece460896pcf-keypair
+ mceliece460896pc-keypair
+ mceliece6688128-dec
+ mceliece6688128-enc
+ mceliece6688128f-keypair
+ mceliece6688128-keypair
+ mceliece6688128pc-dec
+ mceliece6688128pc-enc
+ mceliece6688128pcf-keypair
+ mceliece6688128pc-keypair
+ mceliece6960119-dec
+ mceliece6960119-enc
+ mceliece6960119f-keypair
+ mceliece6960119-keypair
+ mceliece6960119pc-dec
+ mceliece6960119pc-enc
+ mceliece6960119pcf-keypair
+ mceliece6960119pc-keypair
+ mceliece8192128-dec
+ mceliece8192128-enc
+ mceliece8192128f-keypair
+ mceliece8192128-keypair
+ mceliece8192128pc-dec
+ mceliece8192128pc-enc
+ mceliece8192128pcf-keypair
+ mceliece8192128pc-keypair
+ mceliece-fulltest
+ mceliece-speed
+ mceliece-test
  .
- Internally, libmceliece is based on the official Classic McEliece software,
- specifically the vec implementation (designed to work portably across CPUs) and
- he avx implementation (designed for higher performance on Intel/AMD CPUs with
- AVX2 instructions). libmceliece includes automatic run-time selection
- of implementations.
+ Each tool exits 0 on success, nonzero on failure.
  .
- libmceliece is intended to be called by larger multi-function libraries
- (such as traditional cryptographic libraries), including libraries in other
- languages via FFI. The idea is that libmceliece takes responsibility for
- the details of Classic McEliece computation, including optimization,
- timing-attack protection, and (in ongoing work) verification,
- freeing up the calling libraries to concentrate on application-specific
- needs such as protocol integration. Applications can also call libmceliece
- directly.
+ These tools allow libmceliece to be easily used from shell
+ scripts. Other languages can also use libmceliece via these tools,
+ but languages typically have good support for FFI and can use the C
+ interface directly.
+ .
+ The mceliece-speed, mceliece-test and mceliece-fulltest tools can be used
+ for benchmarking and internal self testing.  Python and Valgrind is only
+ needed for the mceliece-fulltest tool, the other tools are written in C.
  .
  Command line tools.
