=== debian/tests/control ===
Test-Command: mceliece-speed
Features:
 test-name=mceliece-speed,
Depends:
 mceliece,

Test-Command: mceliece-fulltest
Architecture: amd64
Features:
 test-name=mceliece-fulltest,
Depends:
 mceliece,
 python3,
 @recommends@,

Tests:
 testmceliece-static,
Depends:
 dpkg-dev,
 build-essential,
 libmceliece-dev,
 librandombytes-dev,

Tests:
 testmceliece-shared,
Depends:
 dpkg-dev,
 build-essential,
 libmceliece-dev,
 libmceliece1,
 librandombytes-dev,

Tests:
 testvalgrind,
Restrictions:
 needs-root,
 skippable,
Depends:
 build-essential,
 libmceliece-dev,
 libmceliece1,
 librandombytes-dev,
 valgrind-if-available,

Tests:
 mceliece,
Depends:
 mceliece,
 xxd,

Test-Command: mceliece-test kem 6960119f
Features:
 test-name=mceliece-test_kem_6960119f,
Depends:
 mceliece,

Test-Command: mceliece-test kem 6688128f
Features:
 test-name=mceliece-test_kem_6688128f,
Depends:
 mceliece,

Test-Command: mceliece-test kem 8192128f
Features:
 test-name=mceliece-test_kem_8192128f,
Depends:
 mceliece,

Test-Command: mceliece-test kem 460896f
Features:
 test-name=mceliece-test_kem_460896f,
Depends:
 mceliece,

Test-Command: mceliece-test kem 348864f
Features:
 test-name=mceliece-test_kem_348864f,
Depends:
 mceliece,
