## libmceliece 0~20250507

=== debian/changelog ===
libmceliece (0~20250507-4) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/watch: rewrite to version 5
  * d/salsa-ci.yml: add SALSA_CI_AUTOPKGTEST_ALLOWED_EXIT_STATUS: '0'
  * d/control: remove Rules-Requires-Root: no

  [ Simon Josefsson ]
  * Re-generate man-pages.
  * Add lrc.excludes.
  * Tighten Salsa CI.
  * Add lintian overrides.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 02 Nov 2025 21:29:11 +0100

libmceliece (0~20250507-3) unstable; urgency=medium

  * d/control: change maintainer to pkg-security

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 19 Aug 2025 07:04:39 +0200

libmceliece (0~20250507-2) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 12:49:27 +0200

libmceliece (0~20250507-1) experimental; urgency=medium

  * New upstream version 0~20250507
  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 08 May 2025 02:16:46 +0200
