=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libmceliece
-Maintainer: Jan Mojžíš <janmojzis@debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
+ Jan Mojžíš <janmojzis@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://lib.mceliece.org
 Build-Depends:
@@ -11,11 +12,11 @@
  dh-python,
  libcpucycles-dev,
  librandombytes-dev,
+ pandoc [!m68k !sh4 !x32] <!nodoc>,
  python3,
  valgrind-if-available,
 Vcs-Git: https://salsa.debian.org/debian/libmceliece.git
 Vcs-Browser: https://salsa.debian.org/debian/libmceliece
-Rules-Requires-Root: no
 
 Package: libmceliece-dev
 Section: libdevel
