=== debian/watch ===
Version: 5
Source: https://lib.mceliece.org/download.html
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/^/0~/
